Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.console
Interface IConsole

All Known Implementing Classes:
  AbstractConsole

public interface IConsole

A logical console. A console is commonly used to display messages. For example, a console may display the output streams of a system process. A console can be displayed by one or more views.

Clients may implement this interface.

Since:
  3.0

Method Summary
`void` | `addPropertyChangeListener(IPropertyChangeListener listener)` Adds a listener for changes to properties of this console.
`IPageBookViewPage` | `createPage(IConsoleView view)` Creates and returns a new page for this console.
`ImageDescriptor` | `getImageDescriptor()` Returns an image descriptor for this console, or `null` if none.
`String` | `getName()` Returns the name of this console.
`void` | `removePropertyChangeListener(IPropertyChangeListener listener)` Removes the given property listener from this console page.

Method Detail

### getName

    public String getName()

  Returns the name of this console.

  Returns:
    the name of this console

### getImageDescriptor

    public ImageDescriptor getImageDescriptor()

  Returns an image descriptor for this console, or `null` if none.

  Returns:
    an image descriptor for this console, or `null` if none

### createPage

    public IPageBookViewPage createPage(IConsoleView view)

  Creates and returns a new page for this console. The page is displayed for this console in the console given view.

  Parameters:
    `view` - the view in which the page is to be created
  Returns:
    a page book view page representation of this console

### addPropertyChangeListener

    public void addPropertyChangeListener(IPropertyChangeListener listener)

  Adds a listener for changes to properties of this console. Has no effect if an identical listener is already registered.

  The changes supported by the console view are as follows:

  - `IBasicPropertyConstants.P_TEXT` - indicates the name of a console has changed
  - `IBasicPropertyConstants.P_IMAGE` - indicates the image of a console has changed

  Clients may define additional properties as required.

  Parameters:
    `listener` - a property change listener

### removePropertyChangeListener

    public void removePropertyChangeListener(IPropertyChangeListener listener)

  Removes the given property listener from this console page. Has no effect if an identical listener is not alread registered.

  Parameters:
    `listener` - a property listener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.